com.io7m.jregions.core.unparameterized.areas

## Class AreaYSplitF.Builder<T extends AreaFType>

- java.lang.Object
- - com.io7m.jregions.core.unparameterized.areas.AreaYSplitF.Builder<T>

- Enclosing class:
    AreaYSplitF<T extends AreaFType>

      public static final class AreaYSplitF.Builder<T extends AreaFType>
      extends Object

  Builds instances of type `AreaYSplitF`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

  `Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AreaYSplitF<T>` | `build()` Builds a new `AreaYSplitF`.
    `AreaYSplitF.Builder<T>` | `from(AreaYSplitFType<T> instance)` Fill a builder with attribute values from the provided `AreaYSplitFType` instance.
    `AreaYSplitF.Builder<T>` | `setLower(T lower)` Initializes the value for the `lower` attribute.
    `AreaYSplitF.Builder<T>` | `setUpper(T upper)` Initializes the value for the `upper` attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

          public final AreaYSplitF.Builder<T> from(AreaYSplitFType<T> instance)

      Fill a builder with attribute values from the provided `AreaYSplitFType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### setLower

          public final AreaYSplitF.Builder<T> setLower(T lower)

      Initializes the value for the `lower` attribute.
      Parameters:
        `lower` - The value for lower
      Returns:
        `this` builder for use in a chained invocation

    - #### setUpper

          public final AreaYSplitF.Builder<T> setUpper(T upper)

      Initializes the value for the `upper` attribute.
      Parameters:
        `upper` - The value for upper
      Returns:
        `this` builder for use in a chained invocation

    - #### build

          public AreaYSplitF<T> build()

      Builds a new `AreaYSplitF`.
      Returns:
        An immutable instance of AreaYSplitF
      Throws:
        `IllegalStateException` - if any required attributes are missing

Copyright © 2017 <code@io7m.com> http://io7m.com